EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

ebook-convert input_file output_file [alternativ]

Konvertera en e-bok från ett format till ett annat.

input_file är indatafilen och output_file är utdatafilen. Båda måste anges som de två första argumenten i kommandot.

Utdataformatet för e-boken uppskattas utifrån filändelsen i output_file. output_file kan även ges specialformatet .EXT, där EXT är utdatafilsändelsen. Om det används kommer namnet på utdatafilen att härledas från namnet på indatafilen. Observera att filnamnen inte får börja med bindestreck. Om ingen filinsticksmodul har angivits för utdatafilen, så behandlas den som en katalog till vilken en "Öppen e-bok" (OEB) bestående av HTML filer kommer att skrivas. Dessa filer är de filer som normalt sett skulle ha skickats till utdatainsticksmodulen.

Efter att ha angivit in- och utdatafilerna kan du anpassa konverteringen genom att ange olika alternativ. Vilka alternativ som är tillgängliga beror på in- och utdatafiltyperna. För att få hjälp med dem, ange in- och utdatafilerna och lägg därefter till alternativet -h.

För fullständig dokumentation om konverteringssystemet, gå till conversion

När du skickar argument till ebook-convert som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

Alternativen och standardvärden för ändringsalternativ beror på både indata- och utdataformat, därför bör du alltid kolla med:

ebook-convert myfile.input_format myfile.output_format -h

Nedan finns alternativen som är vanliga vid all konvertering följt av alternativen unika för varje indata- och utdataformat.

•   ALTERNATIV FÖR INDATA

•   ALTERNATIV FÖR UTDATA

•   UTSEENDE OCH KÄNSLA

•   HEURISTISK BEARBETNING

•   SÖK OCH ERSÄTT

•   STRUKTURDETEKTERING

•   INNEHÅLLSFÖRTECKNING

•   METADATA

•   FELSÖK

--help, -h
    visa denna hjälptext och avsluta

--input-profile
    Ange indataprofilen. Profilen ger information till konverteringssystemet om hur information i indata ska tolkas. Till exempel upplösningsberoende längder (d.v.s. längder i pixlar). Alternativen är:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    Lista inbyggda receptnamn. Du kan skapa en e-bok från ett inbyggt recept så här: ebook-convert "Receptnamn.recipe" utdata.epub

--output-profile
    Ange utdataprofil. Utdataprofilen anger för konverteringssystem hur optimering kan ske av det skapade dokumentet för den angivna enheten (såsom ändring av bildstorlek för enhetens skärmstorlek). I vissa fall kan en utdataprofil användas för att optimera resultatet för en viss enhet, men det är sällan nödvändigt. Alternativen är:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

--version
    visar programmets versionsnummer och avsluta

ALTERNATIV FÖR INDATA

Alternativ för att anpassa bearbetningen av ingående mobi fil

--input-encoding
    Ange teckenkodning för indatadokumentet. Detta alternativ åsidosätter eventuell teckenkodning som dokumentet själv anger. Särskilt användbart för dokument som inte deklarerar en kodning eller som har felaktiga kodningsdeklarationer.

ALTERNATIV FÖR UTDATA

Alternativ för att anpassa bearbetningen av utdata epub

--dont-split-on-page-breaks
    Inaktivera delning vid sidbrytningar. Normalt delas indatafilen automatiskt i två filer vid varje sidbrytning. Detta ger en e-bok som kan tolkas snabbare och med mindre resurser. Hur som helst är delningen långsam, och om källfilen innehåller ett mycket stort antal sidbrytningar, bör du inaktivera delning vid sidbrytningar.

--epub-flatten
    Detta alternativ behövs endast om du tänker använda EPUB med FBReaderJ. Det plattar ut filsystemet inuti EPUB och lägger alla filer i den översta nivån.

--epub-inline-toc
    Infoga en innehållsförteckning som kommer att visas som en del av bokens innehåll.

--epub-toc-at-end
    Lägg den infogade innehållsförteckningen i slutet av boken istället för i början.

--epub-version
    Versionen av EPUB-filen som ska genereras. EPUB 2 är den mest kompatibla, använd endast EPUB 3 om du vet att du faktiskt behöver det.

--extract-to
    Extrahera innehållet i den genererade EPUB filen till den angivna katalogen. Innehållet i katalogen först tas bort, så var försiktig.

--flow-size
    Dela alla HTML-filer som är större än denna storlek (i KiB). Detta är nödvändigt eftersom de flesta EPUB-läsenheter inte kan hantera stora filer. Standardvärdet 260KB är den storlek som krävs för Adobe Digital Editions. Satt till 0 för stänga av storleksbaserad delning.

--no-default-epub-cover
    Om indatafilen inte har något omslag och du inte anger ett, skapas normalt ett standardomslag genererats med titel, författare, o.s.v. Med detta alternativ aktiverat skapas inga standardomslag.

--no-svg-cover
    Använd inte SVG-grafik till omslag. Använd om din EPUB-fil kommer att användas på enheter som inte stöder SVG, t.ex. iPhone och JetBook Lite. Om detta alternativ inte väljs, kommer dessa enheter att visa ett tomt omslag.

--preserve-cover-aspect-ratio
    När du använder ett SVG-omslag kommer detta alternativ att leda till att omslaget skalas om för att täcka den tillgängliga bildytan, med bibehållna proportioner (förhållandet av bredd till höjd). Det innebär att det kan finnas vita kanter på sidorna eller toppen och på botten av bilden, men bilden kommer aldrig att bli förvrängd. Om detta alternativ inaktiveras, kan bilden bli en aning förvrängd, men det kommer inte finnas några ramar.

--pretty-print
    Om detta anges, kommer insticksmodulen att försöka skapa utskrifter som är så läsliga som möjligt. Detta kanske inte har någon effekt för vissa instick för utdata.

--toc-title
    Titel för alla genererade infogade innehållsförteckningar.

UTSEENDE OCH KÄNSLA

Alternativ för utseende på utdata

--asciiize
    Translitterera Unicode-tecken till en ASCII-representation. Används med försiktighet, eftersom detta kommer att ersätta Unicode-tecken med ASCII. Till exempel kommer det att ersätta "Михаил Горбачёв" med "Mikhail Gorbachiov". Tänk också på att i de fall där det finns flera representationer av ett tecken (exempelvis tecken som delas av kinesiska och japanska) kommer representationen som grundar sig på nuvarande calibre-gränssnittsspråk att användas.

--base-font-size
    Basstorlek för typsnitt i punkter. Alla typsnittsstorlekar i den producerade boken kommer att skapas om baserat på denna storlek. Genom att välja en större storlek kan du få typsnitt i utdatan större och vice versa. Som standard, när värdet är noll, kommer basstorleken för typsnitt att väljas baserat på utdataprofilen du väljer.

--change-justification
    Ändra textjusteringen. Värdet "vänster" konverterar all marginaljusterad text i källan till vänsterjusterad text (d.v.s. ojusterad). Med värdet "justera" konverteras all ojusterad text till mariginaljusterad. Värdet "original" (standard) behåller de inställningar för justering som anges i källfilen. Observera att endast vissa format stöder mariginaljustering.

--disable-font-rescaling
    Inaktivera all omskalning av teckenstorlekar.

--embed-all-fonts
    Bädda in varje typsnitt som refereras i inmatningsdokumentet som inte redan är inbäddat. Detta kommer att söka i ditt system efter typsnitt och om de påträffas, kommer de att bäddas in. Inbäddning fungerar bara om det format du konverterar till stöder inbäddade typsnitt, t.ex. EPUB, AZW3, DOCX eller PDF. Se till att du har rätt licens för att bädda in typsnitt som används i detta dokument.

--embed-font-family
    Bädda in den angivna typsnittsfamiljen i boken. Här anges "bas"-typsnitt som används för boken. Om indatadokumentet specificerar sina egna typsnitt, kan de åsidosätta detta bastypsnitt. Du kan använda informationsalternativet filterstil för att ta bort typsnitt från inmatningsdokumentet. Observera att bädda in typsnitt endast fungerar med vissa utdataformat, främst EPUB, AZW3 och DOCX.

--expand-css
    Som standard kommer Calibre använda stenografiformen för olika CSS-egenskaper såsom marginal, utfyllnad, kanter, etc. Detta alternativ kommer att få den att använda hela expanderade formen istället. Observera att CSS alltid är expanderat vid generering av EPUB-filer med utgångsprofilen inställd på en av Nook profiler eftersom Nook inte kan hantera stenografi CSS.

--extra-css
    Antingen sökvägen till en CSS-utformningsmall eller rå CSS. Denna CSS-kod kommer att läggas till stilreglerna i källfilen. De kan också användas för att åsidosätta källfilens bestämmelser.

--filter-css
    En kommaseparerad lista med CSS-egenskaper som kommer att tas bort från alla CSS-regler. Detta är användbart om förekomsten av en viss stilinformationen hindrar den från att åsidosättas på enheten. Till exempel: font-family,color,margin-left,margin-right

--font-size-mapping
    Omvandlar CSS-typsnittsnamn till teckenstorlekar i punkter. En exempelinställning är 12,12,14,16,18,20,22,24. Detta konverterar storlekarna xx-small till xx-large, den sista storleken används för enorma typsnitt. Omskalningsalgoritmen använder dessa storlekar för att på ett smart sätt omskala typsnitten. Som standard används en mappning baserad på din valda utdataprofil.

--insert-blank-line
    Infoga en blankrad mellan stycken. Fungerar inte om källfilen inte använder stycken (<p>-eller <div>- markeringar).

--insert-blank-line-size
    Ställ in höjden på in tomma rader (i EM). Höjden av linjerna mellan punkterna blir dubbelt det värde som här.

--keep-ligatures
    Bevara ligaturer som finns i indatadokumentet. En ligatur är en speciell framställning ett teckenpar som ff, fi, fl och så vidare. De flesta läsenheter saknar stöd för ligaturer i deras standardtypsnitt så det är osannolikt att de återges korrekt. Som standard konverterar calibre en ligatur till motsvarande par av vanliga tecken. Detta alternativ kommer att bevara ligaturerna istället.

--line-height
    Radavståndet i punkter. Anpassar avståndet mellan på varandra följande textrader. Gäller endast element som inte definierar sitt eget radavstånd. I de flesta fall är det minsta radavståndet valet mer användbart. Som standard utför ingen ändring i radavstånd.

--linearize-tables
    Vissa dokument med dålig formgivning använder tabeller för att anpassa textflödet på sidan. När dessa dokument konverteras finns ofta text som går utanför sidan och andra artefakter. Detta alternativ kommer att extrahera innehållet från tabellerna och presentera det linjärt.

--margin-bottom
    Ställ in nedre marginalen i punkter. Standard är 5.0. Att ställa in detta till mindre än noll kommer att orsaka att ingen marginal ställs in (marginalinställningen i originaldokumentet kommer att bevaras). Obs: Sidorienterade format som PDF och DOCX har egna marginalinställningar som tar företräde.

--margin-left
    Ställ in vänstra marginalen i punkter. Standard är 5.0. Att ställa in detta till mindre än noll kommer att orsaka att ingen marginal ställs in (marginalinställningen i originaldokumentet kommer att bevaras). Obs: Sidorienterade format som PDF och DOCX har egna marginalinställningar som tar företräde.

--margin-right
    Ställ in högra marginalen i punkter. Standard är 5.0. Att ställa in detta till mindre än noll kommer att orsaka att ingen marginal ställs in (marginalinställningen i originaldokumentet kommer att bevaras). Obs: Sidorienterade format som PDF och DOCX har egna marginalinställningar som tar företräde.

--margin-top
    Ställ in övre marginalen i punkter. Standard är 5.0. Att ställa in detta till mindre än noll kommer att orsaka att ingen marginal ställs in (marginalinställningen i originaldokumentet kommer att bevaras). Obs: Sid orienterade format som PDF och DOCX har egna marginalinställningar som tar företräde.

--minimum-line-height
    Den minsta radavståndet, som andel av elementets beräknat m.h.a. teckenstorlek. calibre kommer att säkerställa att varje element har en radavstånd av minst denna inställning, oavsett vad det ingående dokument specificerar. Sätt till noll för att inaktivera. Standard är 120%. Använd den här inställningen istället för det direkt angivna radavståndet såvida inte du vet vad du gör. Till exempel kan du uppnå "dubbelt radavstånd" i texten genom att sätta detta till 240.

--remove-paragraph-spacing
    Tar bort mellanrum mellan stycken. Indenterar även första raden på det nya stycket 1,5 em. Mellanrum kan inte tas bort om källfilen inte använder stycken (<p>- eller <div>-markeringar).

--remove-paragraph-spacing-indent-size
    När calibre tar bort tomma rader mellan stycken, anger det automatiskt ett styckeindrag, för att se till att styckeindelningen syns tydligt. Det här alternativet bestämmer bredden för indraget (i em). Om du anger ett negativt värde kommer indraget som anges i indatadokumentet användas, det vill säga, calibre ändrar inte indraget.

--smarten-punctuation
    Omvandla rena citat, bindestreck och ellips till deras typografiskt korrekta motsvarigheter. För detaljer, se https://daringfireball.net/projects/smartypants

--subset-embedded-fonts
    Använd delmängd av alla inbäddade typsnitt. Varje inbäddat typsnitt reduceras till endast innehålla de glyfer som används i detta dokument. Detta minskar storleken på typsnittsfiler. Användbart om du bäddar in ett särskilt stort typsnitt med massor av oanvända glyfer.

--transform-css-rules
    Sökvägen till en fil som innehåller regler för att förändra CSS-format i denna bok. Det enklaste sättet att skapa en sådan fil är att använda guiden för att skapa regler i calibre gränssnittet. Gå till det i "Utseende och känsla->Omvandla stilar" avsnittet i konverteringsdialogrutan. När du har skapat reglerna, kan du använda knappen "Exportera" för att spara dem till en fil.

--unsmarten-punctuation
    Konvertera snitsiga citat, streck och specialtecken till deras motsvarigheter i vanlig text.

HEURISTISK BEARBETNING

Ändra dokumenttexten och strukturen med vanliga mönster. Inaktiverad som standard. Använd --enable-heuristics för att aktivera. Individuella åtgärder kan inaktiveras med alternativen --disable-
*
.

--disable-dehyphenate
    Analysera avstavade ord i hela dokumentet. Själva dokumentet används som en ordlista för att avgöra om bindestreck ska behållas eller tas bort.

--disable-delete-blank-paragraphs
    Ta bort tomma stycken ur dokumentet när de finns mellan varannan paragraf

--disable-fix-indents
    Vänd indrag skapas från flera icke-brytande mellanslag enheter i CSS indrag.

--disable-format-scene-breaks
    Vänsterjusterade scenbrytningsmarkörer är centrerade. Ersätt mjuka scenbrytningar som använder flera tomma rader med övergripande linjer.

--disable-italicize-common-cases
    Leta efter vanliga ord och mönster som betecknar kursiv och kursivera dem.

--disable-markup-chapter-headings
    Identifiera oformaterade huvud- och underrubriker. Ändra dem till H2- och H3-etiketter. Den här inställningen kommer inte att skapa en innehållsförteckning, men kan användas i kombination med strukturidentifiering för att skapa ett.

--disable-renumber-headings
    Letar efter förekomster av sekventiella <h1> eller <h2>-etiketter. Etiketterna ska numreras för att förhindra uppdelning i mitten av kapitelrubrikerna.

--disable-unwrap-lines
    Tar bort radbrytning genom att använda skiljetecken och andra formateringsindikationer.

--enable-heuristics
    Aktivera heuristisk bearbetning. Denna möjlighet måste anges för någon heuristisk bearbetning ske.

--html-unwrap-factor
    Skala som används för att bestämma längden på vilken en rad bör har ha för undvika radbrytning. Giltiga värden är ett decimaltal mellan 0 och 1. Standard är 0,4, strax under median värde av radlängden. Om bara några rader i dokumentet kräver korrigering för radbrytning bör detta värde sänkas

--replace-scene-breaks
    Ersätt scenbrytningar med den angivna texten. Som standard är texten från indatadokumentet som används.

SÖK OCH ERSÄTT

Ändra dokumentets text och struktur med hjälp av användardefinierade mönster.

--search-replace
    Sökvägen till en fil som innehåller reguljära uttryck för att söka och ersätta. Filen måste innehålla alternerande rader av reguljära uttryck följt av ersättande mönster (vilket kan vara en tom rad). Det reguljära uttrycket ska vara i Python-regex-syntax och filen måste vara UTF-8-kodad.

--sr1-replace
    Ersättning för att ersätta texten som hittades med SR1-sökning.

--sr1-search
    Sökmönster (reguljära uttryck) att ersätta med SR1-ersättning.

--sr2-replace
    Ersättning för att ersätta texten funnen med SR2-sökning.

--sr2-search
    Sökmönster (reguljära uttryck) att ersätta med SR2-ersättning.

--sr3-replace
    Ersättning för att ersätta texten hittades med SR3-sökning.

--sr3-search
    Sökmönster (reguljära uttryck) att ersätta med SR3-ersättning.

STRUKTURDETEKTERING

Kontrollera automatisk identifiering av dokumentets struktur.

--chapter
    Ett XPath-uttryck för att upptäcka kapitelrubrikerna. Standardinställningen är att överväga <h1>- eller <h2>-markeringar som innehåller orden "chapter", "book", "section", "prologue", "epilogue" eller "part" som kapitelrubriker samt eventuella markeringar som har class="chapter". Uttrycket som används måste utvärderas till en lista med element. För att inaktivera upptäckt av kapitel, använd uttrycket "/". Se XPath-introduktionen i användarhandboken för calibre för ytterligare hjälp med att använda den här funktionen.

--chapter-mark
    Anger hur upptäckta kapitel markeras. Värdet "pagebreak" infogar en sidbrytning före varje nytt kapitel. Värdet "rule" infogar en blankrad före nytt kapitel. Värdet "none" inaktiverar kapitelmärkning, och om värdet "both" anges, kommer både sidbrytningar och blankrader att markera nya kapitel.

--disable-remove-fake-margins
    Vissa dokument anger sidmarginaler genom att ange en vänster- och höger marginal på varje enskild punkt. calibre kommer att försöka upptäcka och ta bort dessa marginaler. Ibland kan detta orsaka avlägsnande av marginaler som inte borde ha tagits bort. I detta fall kan du inaktivera borttagning.

--insert-metadata
    Infoga bokens metadata i början av boken. Används om din läsenhet inte kan visa eller söka efter metadata direkt.

--page-breaks-before
    Ett XPath-uttryck. Sidbrytningar infogas före de angivna elementen. För att inaktivera använd uttrycket: /

--prefer-metadata-cover
    Använd omslag från källfilen istället för det angivna omslaget.

--remove-first-image
    Ta bort den första bilden från den inmatade e-boken. Praktiskt om indatadokumentet har en omslagsbild som inte identifieras som ett omslag. Om du anger ett omslag i calibre kommer det resulterande dokumentet ha två omslagsbilder om du inte markerar det här alternativet.

--start-reading-at
    Ett XPath-uttryck för att upptäcka den plats i dokumentet där du vill börja läsa. Vissa e-bokläsarprogram (framförallt Kindle) använder denna plats som position för att öppna boken. Se XPath-introduktionen i calibre användarhandboken för ytterligare hjälp med att använda den här funktionen.

INNEHÅLLSFÖRTECKNING

Anpassa hur innehållsförteckningen skapas. Om källfilen har en innehållsförteckning, kommer denna att användas istället för den automatiskt genererade.

--duplicate-links-in-toc
    När du skapar en innehållsförteckning från länkar i indata dokumentet, tillåter dubbla poster, d.v.s. att fler än en post med samma text, förutsatt att de hänvisar till en annan plats.

--level1-toc
    XPath-uttryck som anger alla markeringar som ska läggas till i innehållsförteckningen på nivå ett. Om detta anges, får de prioritet över andra former av automatisk detektering. Se XPath-introduktionen i calibre-användarhandboken för exempel.

--level2-toc
    XPath-uttryck som anger alla markeringar som ska läggas till i innehållsförteckningen på nivå två. Varje post läggs till under den tidigare nivån en post. Se XPath-introduktionen i calibre-användarhandboken för exempel.

--level3-toc
    XPath-uttryck som anger alla markeringar som ska läggas till i innehållsförteckningen på nivå tre. Varje post läggs till under den tidigare nivån två post. Se XPath introduktionen i calibre-användarhandboken för exempel.

--max-toc-links
    Högsta antal länkar för att infoga i innehållsförteckningen. Sätt till 0 för att inaktivera. Grundinställning är: 50. Länkarna läggs endast till innehållsförteckningen om antalet upptäckta kapitel är lägre än tröskelvärdet.

--no-chapters-in-toc
    Lägg inte till autoidentifierade kapitel i innehållsförteckningen.

--toc-filter
    Ta bort poster från innehållsförteckningen vilkas titlar matchar det angivna reguljära uttrycket. Matchande poster och alla deras skapelser tas bort.

--toc-threshold
    Om färre än detta antal kapitel identifieras, så läggs länkar i innehållsförteckningen. Default: 6

--use-auto-toc
    Om källfilen redan har en innehållsförteckning, används normalt denna i stället för den automatiskt genererade. Med det här alternativet används alltid den automatiskt genererade.

METADATA

Alternativ för att ställa metadata till utdata

--author-sort
    Sträng att användas vid sortering av författaren.

--authors
    Ange författarna. Flera författare ska avgränsas med &-tecken.

--book-producer
    Ange bokens producent.

--comments
    Ange e-bokbeskrivning.

--cover
    Ange omslag till angivna filer eller URL

--isbn
    Ange ISBN för boken.

--language
    Ange språket.

--pubdate
    Ange publiceringsdatum (antas vara i den lokala tidszonen, såvida inte tidszonen uttryckligen anges)

--publisher
    Ange e-bokutgivare.

--rating
    Ange betyg. Bör vara ett nummer mellan 1 och 5.

--read-metadata-from-opf, --from-opf, -m
    Läs metadata från den angivna OPF-filen. Metadata från denna fil kommer att åsidosätta all metadata i källfilen.

--series
    Ange serien denna e-bok tillhör.

--series-index
    Ange bokens index i denna serie.

--tags
    Ange etiketter för boken. Skall vara en kommaseparerad lista.

--timestamp
    Ange bokens tidsstämpel (används inte längre någonstans)

--title
    Ange titeln.

--title-sort
    Versionen av titeln som ska användas för sortering.

FELSÖK

Alternativ för att hjälpa till att felsöka konverteringen

--debug-pipeline, -d
    Spara utdata från olika stadier av konverteringssekvensen till den angivna katalogen. Användbart om du är osäker på i vilket steg ett fel uppträder.

--verbose, -v
    Nivå på informationsnivån. Ange flera gånger för ökad informationsnivå. Att ange den två gånger resulterar i full informationsnivån, en gång i medelinformationsnivån och noll gånger i minsta nivån.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal